| Version: 3.2.5

Public Types | Public Member Functions | List of all members
wxCharBuffer Class Reference
Class List by Category » Data Structures

`#include <wx/buffer.h>`

Inheritance diagram for wxCharBuffer:
[legend]

## Detailed Description

This is a specialization of wxCharTypeBuffer<T> for `char` type.

##

Library: None; this class implementation is entirely header-based.
Category: Data Structures

## Public Types

typedef wxCharTypeBuffer< char > | wxCharTypeBufferBase
typedef wxScopedCharTypeBuffer< char > | wxScopedCharTypeBufferBase
Public Types inherited from wxScopedCharTypeBuffer< T >
typedef T | CharType
| Stored characters type. More...

## Public Member Functions

| wxCharBuffer (const wxCharTypeBufferBase &buf)
| wxCharBuffer (const wxScopedCharTypeBufferBase &buf)
| wxCharBuffer (const CharType *str=NULL)
| wxCharBuffer (size_t len)
| wxCharBuffer (const wxCStrData &cstr)
Public Member Functions inherited from wxCharTypeBuffer< char >
| wxCharTypeBuffer (const CharType *str=NULL, size_t len=wxNO_LEN)
| Creates (owned) buffer from str and takes ownership of it. More...
| wxCharTypeBuffer (size_t len)
| Creates (owned) buffer of size len. More...
| wxCharTypeBuffer (const wxCharTypeBuffer &src)
| Copy constructor. More...
| wxCharTypeBuffer (const wxScopedCharTypeBuffer< char > &src)
| Makes a copy of scoped buffer src. More...
wxCharTypeBuffer & | operator= (const CharType *str)
| Assigns str to this buffer and takes ownership of it (i.e. the buffer becomes "owned"). More...
wxCharTypeBuffer & | operator= (const wxCharTypeBuffer &src)
| Assignment operator behaves in the same way as the copy constructor. More...
wxCharTypeBuffer & | operator= (const wxScopedCharTypeBuffer< char > &src)
| Assigns a scoped buffer to this buffer. More...
bool | extend (size_t len)
| Extends the buffer to have size len. More...
bool | shrink (size_t len)
| Shrinks the buffer to have size len and NUL-terminates the string at this length. More...
Public Member Functions inherited from wxScopedCharTypeBuffer< T >
| wxScopedCharTypeBuffer ()
| Default constructor, creates NULL buffer. More...
| wxScopedCharTypeBuffer (const wxScopedCharTypeBuffer &src)
| Copy constructor. More...
wxScopedCharTypeBuffer & | operator= (const wxScopedCharTypeBuffer &src)
| Assignment operator behaves in the same way as the copy constructor. More...
| ~wxScopedCharTypeBuffer ()
| Destructor. More...
CharType * | release () const
| Returns the internal pointer and resets the buffer. More...
void | reset ()
| Resets the buffer to NULL, freeing the data if necessary. More...
CharType * | data ()
| Returns pointer to the stored data. More...
const CharType * | data () const
| Returns const pointer to the stored data. More...
size_t | length () const
| Returns length of the string stored. More...
| operator const CharType * () const
| Implicit conversion to C string. More...
CharType | operator[] (size_t n) const
| Random access to the stored C string. More...

## Additional Inherited Members

Static Public Member Functions inherited from wxScopedCharTypeBuffer< T >
static const wxScopedCharTypeBuffer | CreateNonOwned (const CharType *str, size_t len=wxNO_LEN)
| Creates non-owned buffer from string data str. More...
static const wxScopedCharTypeBuffer | CreateOwned (CharType *str, size_t len=wxNO_LEN)
| Creates owned buffer from str and takes ownership of it. More...

## Member Typedef Documentation

## ◆ wxCharTypeBufferBase

typedef wxCharTypeBuffer<char> wxCharBuffer::wxCharTypeBufferBase

## ◆ wxScopedCharTypeBufferBase

typedef wxScopedCharTypeBuffer<char> wxCharBuffer::wxScopedCharTypeBufferBase

## Constructor & Destructor Documentation

## ◆ wxCharBuffer() [1/5]

wxCharBuffer::wxCharBuffer | ( | const wxCharTypeBufferBase & | buf | ) |

## ◆ wxCharBuffer() [2/5]

wxCharBuffer::wxCharBuffer | ( | const wxScopedCharTypeBufferBase & | buf | ) |

## ◆ wxCharBuffer() [3/5]

wxCharBuffer::wxCharBuffer | ( | const CharType * | str = `NULL` | ) |

## ◆ wxCharBuffer() [4/5]

wxCharBuffer::wxCharBuffer | ( | size_t | len | ) |

## ◆ wxCharBuffer() [5/5]

wxCharBuffer::wxCharBuffer | ( | const wxCStrData & | cstr | ) |